Name:           python-cf-rules
Version:        2.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Wrapper library to import / export multiple remote rules and easily create, modify and delete rules.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/QuentiumYT/Cloudflare-Firewall-Rules
Source:         %{pypi_source cf_rules}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cf-rules' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cf-rules
Summary:        %{summary}

%description -n python3-cf-rules %_description


%prep
%autosetup -p1 -n cf_rules-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cf-rules -f %{pyproject_files}


%changelog
%autochangelog